<?php

	function about_app()
	{
		global $phpgw, $phpgw_info;
		$appname = 'timetrack';

		$imgfile = $phpgw->common->get_image_dir($appname) . SEP . $appname . '.gif';
		if (file_exists($imgfile))
		{
			$imgpath = $phpgw->common->get_image_path($appname) . SEP . $appname . '.gif';
		}
		else
		{
			$imgfile = $phpgw->common->get_image_dir($appname) . SEP . 'navbar.gif';
			if (file_exists($imgfile))
			{
				$imgpath = $phpgw->common->get_image_path($appname) . SEP . 'navbar.gif';
			}
			else
			{
				$imgpath = '';
			}
		}

		//$browser = CreateObject('phpgwapi.browser');
		//$os      = $browser->get_platform();
		//$agent   = ucfirst(strtolower($browser->get_agent()));
		//$version = $browser->get_version();

		$tpl = new Template($phpgw->common->get_tpl_dir("timetrack"));

		$tpl->set_file(array("body" => "about.tpl"));

		$tpl->set_var("about_timetrack",
			'Time Track is a timesheet and job tracking application for phpgroupware<br>'
			. 'Copyright (c)2000-2001 by Robert A. Schader, licensed under the GPL');
		$tpl->set_var("credits",
			'<center>With code contributions from the following people:</center><hr>'
			. 'Camden Spiller');

		$tpl->set_var("url",$phpgw->link('/timetrack'));
		$tpl->set_var("image",$imgpath);
		$tpl->set_var("alt",lang('time track'));
		$tpl->set_var("version",$version);

		return $tpl->parse("out","body");
	}
